NamingEntry (Apache Tomcat 11.0.24 API Documentation)
Description: declaration: package: org.apache.naming, class: NamingEntry

# Class NamingEntry

java.lang.Object
org.apache.naming.NamingEntry

public class NamingEntry extends Object
Represents a binding in a NamingContext.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONTEXT`
  Entry type for a sub-context.
  `static final int`
  `ENTRY`
  Entry type for a regular binding.
  `static final int`
  `LINK_REF`
  Entry type for a link reference.
  `final String`
  `name`
  The binding name.
  `static final int`
  `REFERENCE`
  Entry type for a reference.
  `int`
  `type`
  The type instance variable is used to avoid using RTTI when doing lookups.
  `Object`
  `value`
  The bound object value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NamingEntry(String name, Object value, int type)`
  Creates a new naming entry.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `int`
  `hashCode()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ENTRY

    public static final int ENTRY
    Entry type for a regular binding.
    See Also:
      - Constant Field Values

  - ### LINK_REF

    public static final int LINK_REF
    Entry type for a link reference.
    See Also:
      - Constant Field Values

  - ### REFERENCE

    public static final int REFERENCE
    Entry type for a reference.
    See Also:
      - Constant Field Values

  - ### CONTEXT

    public static final int CONTEXT
    Entry type for a sub-context.
    See Also:
      - Constant Field Values

  - ### type

    public volatile int type
    The type instance variable is used to avoid using RTTI when doing lookups.

  - ### name

    public final String name
    The binding name.

  - ### value

    public volatile Object value
    The bound object value.

- ## Constructor Details

  - ### NamingEntry

    public NamingEntry(String name, Object value, int type)
    Creates a new naming entry.
    Parameters:
      `name` - The binding name
      `value` - The bound object
      `type` - The entry type

- ## Method Details

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`